#include "TFile.h"
#include "TSystem.h"
#include "PSimHit.h"
   
void demo1() {   
   //create a new ROOT file
   TFile f("demo1.root","recreate");
   
   //Create a PSimHit with the default constructor
   PSimHit h1;
   
   //Write it to the file with the key name hit1
   h1.Write("hit1");
   
   //Create a normal PSimHit with the entry and exit point
   Local3DPoint pentry(1,2,3);
   Local3DPoint pexit(10,20,30);
   float pabs    = 41;
   float tof     = 1.67e-8;
   float eloss   = 5.78e-3;
   int   pType   = 12;
   int   detId   = 67;
   int   trackId = 1234;
   PSimHit h2(pentry,pexit,pabs,tof,eloss,pType,detId,trackId);
   
   //Write it to the file with the key name hit2
   //gDebug = 2;  //activate this line to see how writing is done
   h2.Write("hit2");
   gDebug = 0;
   
   //The file is automatically closed when leaving the scope of demo1
}   
   
